Send Batch Emails
curl --request POST \
--url https://api.dugble.com/emails/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
[
{
"to": "Ada Lovelace <ada@example.com>",
"subject": "<string>",
"html": "<string>",
"from": "Ada Lovelace <ada@example.com>",
"cc": "Ada Lovelace <ada@example.com>",
"bcc": "Ada Lovelace <ada@example.com>",
"reply_to": "Ada Lovelace <ada@example.com>",
"text": "<string>",
"headers": {},
"attachments": [
{
"filename": "<string>",
"content": "<string>",
"content_type": "<string>",
"content_id": "<string>"
}
],
"tags": [
{
"name": "<string>",
"value": "<string>"
}
],
"scheduled_at": "<string>",
"metadata": {}
}
]
'import requests
url = "https://api.dugble.com/emails/batch"
payload = [
{
"to": "Ada Lovelace <ada@example.com>",
"subject": "<string>",
"html": "<string>",
"from": "Ada Lovelace <ada@example.com>",
"cc": "Ada Lovelace <ada@example.com>",
"bcc": "Ada Lovelace <ada@example.com>",
"reply_to": "Ada Lovelace <ada@example.com>",
"text": "<string>",
"headers": {},
"attachments": [
{
"filename": "<string>",
"content": "<string>",
"content_type": "<string>",
"content_id": "<string>"
}
],
"tags": [
{
"name": "<string>",
"value": "<string>"
}
],
"scheduled_at": "<string>",
"metadata": {}
}
]
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
to: 'Ada Lovelace <ada@example.com>',
subject: '<string>',
html: '<string>',
from: 'Ada Lovelace <ada@example.com>',
cc: 'Ada Lovelace <ada@example.com>',
bcc: 'Ada Lovelace <ada@example.com>',
reply_to: 'Ada Lovelace <ada@example.com>',
text: '<string>',
headers: {},
attachments: [
{
filename: '<string>',
content: '<string>',
content_type: '<string>',
content_id: '<string>'
}
],
tags: [{name: '<string>', value: '<string>'}],
scheduled_at: '<string>',
metadata: {}
}
])
};
fetch('https://api.dugble.com/emails/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Email
Send Batch Emails
Atomically queues up to 50 emails. Attachments are not supported in batch requests. A top-level array is preferred; an object containing a messages array is also accepted.
POST
/
emails
/
batch
Send Batch Emails
Authorizations
Pass a Dugble team token in the Authorization header as Bearer . Team token secrets use the dgb_team_ prefix.
Headers
Required unique key for email and SMS send requests. Maximum 256 characters.
Maximum string length:
256Body
application/json
Required array length:
1 - 50 elements- Option 1
- Option 2
Example:
"Ada Lovelace <ada@example.com>"
Required string length:
1 - 255Maximum string length:
1048576Optional sender override. When omitted, Dugble resolves the configured default sender.
Example:
"Ada Lovelace <ada@example.com>"
Example:
"Ada Lovelace <ada@example.com>"
Example:
"Ada Lovelace <ada@example.com>"
Example:
"Ada Lovelace <ada@example.com>"
Maximum string length:
1048576Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Future ISO 8601 date-time or supported relative schedule value.